Subject: Re: Fwd: Re: Section 4 No. 9,10 Failed was occurred by IPv6 Ready Logo Conformance Test

From: Yuki Machida <[email-masked]>
Date: Tue, 19 Apr 2016 17:45:35 +0900

Hi Hagen,

On 2016年04月15日 22:59, Hagen Paul Pfeifer wrote:
>> On April 15, 2016 at 10:47 AM Yuki Machida <[email-masked]> wrote:
>>
>>>> commit 9d289715eb5c252ae15bd547cb252ca547a3c4f2
>>>> Author: Hagen Paul Pfeifer <[email-masked]>
>>>> Date: Thu Jan 15 22:34:25 2015 +0100
>>>>
>>>>        ipv6: stop sending PTB packets for MTU < 1280
>>>>
>>>>        Reduce the attack vector and stop generating IPv6 Fragment Header for
>>>>        paths with an MTU smaller than the minimum required IPv6 MTU
>>>>        size (1280 byte) - called atomic fragments.
>>>>
>>>>        See IETF I-D "Deprecating the Generation of IPv6 Atomic Fragments" [1]
>>>>        for more information and how this "feature" can be misused.
>>>>
>>>>        [1]
>>>> https://tools.ietf.org/html/draft-ietf-6man-deprecate-atomfrag-generation-00
>>>>
>>>>        Signed-off-by: Fernando Gont <[email-masked]>
>>>>        Signed-off-by: Hagen Paul Pfeifer <[email-masked]>
>>>>        Acked-by: Hannes Frederic Sowa <[email-masked]>
>>>>        Signed-off-by: David S. Miller <[email-masked]>
>>>
>>> I will try.
>>
>> I confirmed that v4.1.20 revert above patch is passed Section 4 No. 9 and 10 testcases
>> in IPv6 Ready Logo Conformance Test.
>> I can't immediately revert above patch from v4.6-rc1 by implementation has changed.
>
> is it to please a conforming test tool or fix "revert 9d289715eb5c2" a real problem? If so: which problem do you have with 9d289715eb5c2 or draft-ietf-6man-deprecate-atomfrag-generation-06?
Thank you for your reply.
I was wrong.

That real problem may not be 9d289715eb5c2,
Because Roy said "TAHI should be updated".

But I don't understand that real problem is in Test Tool or draft-ietf-6man-deprecate-atomfrag-generation-06.
I am conforming it.

Regards,
Yuki Machida
> Hagen